<ion-header>
  <ion-toolbar>
    <ion-title>signaler</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen class="ion-padding" >
  <ion-slides  [options]="slideOpts" #slides>
    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideNameForm">
            <h2>Rubrique motif</h2>
            <p>Quelle est le motif de la signalisation ?</p>
            <ion-item>
              <ion-label position="floating">Type</ion-label>
              <ion-select  required [(ngModel)]="signalisation.motif"   formControlName="motif" >
                <ion-select-option  value="accident"   >Accident</ion-select-option>
                <ion-select-option  value="incident"   >Incident</ion-select-option>
                <ion-select-option  value="obstacle"   >Obstacle</ion-select-option>
                <ion-select-option  value="autre"   >Autre</ion-select-option>

              </ion-select>
            </ion-item>

          </form>
          <div>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slideNameForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>

          <!--          <div class="content">-->
          <!--            <div class="ion-padding">-->
          <!--              <ion-button  shape="round" class="btn btn-secondary btnred ion-no-margin" expand="block"-->
          <!--                           type="submit" [disabled]="slideTypeForm.invalid" (click)="next()">Suivant<ion-icon name="arrow-forward-outline"></ion-icon>-->
          <!--              </ion-button>-->
          <!--            </div>-->
          <!--          </div>-->
        </div>
      </div>
    </ion-slide>

    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slideCategorieForm">
            <h2>Rubrique Categorie</h2>
            <div *ngIf="motif=='accident'">
            <p>Quelle est la gravite de l'accident ?</p>
            <ion-item>
              <ion-label position="floating">Categorie accident</ion-label>
              <ion-select  required [(ngModel)]="signalisation.categorie"   formControlName="categorie" >
                <ion-select-option  value="pas grave"   >Pas grave</ion-select-option>
                <ion-select-option  value="grave"   >Grave</ion-select-option>
                <ion-select-option  value="critique"   >Critique</ion-select-option>
              </ion-select>
            </ion-item>
            </div>
            <div *ngIf="motif=='incident'">
              <p>Quelle est le type de l'incident ?</p>
            <ion-item>
              <ion-label position="floating">Categorie incident</ion-label>
              <ion-select  required [(ngModel)]="signalisation.categorie"   formControlName="categorie" >
                <ion-select-option  value="agression sexuelle"   >Agression sexuelle</ion-select-option>
                <ion-select-option  value="harcelement"   >Harcèlement</ion-select-option>
                <ion-select-option  value="creuvaison"   >Creuvaison</ion-select-option>
                <ion-select-option  value="panne"   >Panne</ion-select-option>
              </ion-select>
            </ion-item>
            </div>
            <div *ngIf="motif=='obstacle'">
              <p >Quelle est le desagrément de l'obstacle ?</p>
            <ion-item>
              <ion-label position="floating">Categorie incident</ion-label>
              <ion-select  required [(ngModel)]="signalisation.categorie"   formControlName="categorie" >
                <ion-select-option  value="voiture en panne"   >Voiture en panne</ion-select-option>
                <ion-select-option  value="bouche canal ouverte"   >Bouche canal ouverte</ion-select-option>
                <ion-select-option  value="violence et agression"   >Violence et agression</ion-select-option>
                <ion-select-option  value="autre"   >Autre</ion-select-option>
              </ion-select>
            </ion-item>
            </div>
            <div *ngIf="motif=='autre'">
              <ion-item>
                <ion-label position="floating">Description</ion-label>
                <ion-textarea formControlName="categorie" [ngModel]="signalisation.commentaire"></ion-textarea>
              </ion-item>
            </div>
          </form>
          <div style="width: 100%;display: flex">
            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slideCategorieForm.invalid"  (click)="next()">Suivant
            </ion-button>
          </div>

          <!--          <div class="content">-->
          <!--            <div class="ion-padding">-->
          <!--              <ion-button  shape="round" class="btn btn-secondary btnred ion-no-margin" expand="block"-->
          <!--                           type="submit" [disabled]="slideTypeForm.invalid" (click)="next()">Suivant<ion-icon name="arrow-forward-outline"></ion-icon>-->
          <!--              </ion-button>-->
          <!--            </div>-->
          <!--          </div>-->
        </div>
      </div>
    </ion-slide>


    <ion-slide>
      <div class="slide">
        <div class="container">

          <form [formGroup]="slidePositionForm">
            <h2>Rubrique position</h2>

            <div id="mapmec"></div>

          </form>


          <div style="width: 100%;display: flex">

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit"   (click)="previous()">Precedent
            </ion-button>

            <ion-button  shape="round" class="btn btn-secondary btnred"
                         type="submit" [disabled]="slidePositionForm.invalid"  (click)="onSubmit()">Ajoutez
            </ion-button>
          </div>
        </div>
      </div>
    </ion-slide>

    <!--    <ion-slide>-->
    <!--      <div class="slide">-->
    <!--        <div class="container">-->
    <!--          <form [formGroup]="slideServiceForm">-->
    <!--            <h2>Rubrique service</h2>-->
    <!--            <h3>Avez vous un service mécanique? </h3>-->
    <!--            <ion-radio-group formControlName="mecanique" required [(ngModel)]="signalisation.mecanique">-->
    <!--              <ion-list-header>-->
    <!--                <ion-label>Service mecanique</ion-label>-->
    <!--              </ion-list-header>-->
    <!--              <div style="display: flex">-->
    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>oui</ion-label>-->
    <!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
    <!--                </ion-item>-->

    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>non</ion-label>-->
    <!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
    <!--                </ion-item>-->
    <!--              </div>-->
    <!--            </ion-radio-group>-->

    <!--            <h3>Avez vous un service electrique? </h3>-->
    <!--            <ion-radio-group formControlName="electrique" required [(ngModel)]="signalisation.electrique">-->
    <!--              <ion-list-header>-->
    <!--                <ion-label>Service electrique</ion-label>-->
    <!--              </ion-list-header>-->
    <!--              <div style="display: flex">-->
    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>oui</ion-label>-->
    <!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
    <!--                </ion-item>-->

    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>non</ion-label>-->
    <!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
    <!--                </ion-item>-->
    <!--              </div>-->
    <!--            </ion-radio-group>-->

    <!--            <h3>Avez vous un service de carosserie? </h3>-->
    <!--            <ion-radio-group formControlName="carosserie" required [(ngModel)]="signalisation.carosserie">-->
    <!--              <ion-list-header>-->
    <!--                <ion-label>Service carosserie</ion-label>-->
    <!--              </ion-list-header>-->
    <!--              <div style="display: flex">-->
    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>oui</ion-label>-->
    <!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
    <!--                </ion-item>-->

    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>non</ion-label>-->
    <!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
    <!--                </ion-item>-->
    <!--              </div>-->
    <!--            </ion-radio-group>-->

    <!--            <h3>Avez vous un service de dépannage d'urgence? </h3>-->
    <!--            <ion-radio-group formControlName="urgence" required [(ngModel)]="signalisation.depannage">-->
    <!--              <ion-list-header>-->
    <!--                <ion-label>Service dépannage</ion-label>-->
    <!--              </ion-list-header>-->
    <!--              <div style="display: flex">-->
    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>oui</ion-label>-->
    <!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
    <!--                </ion-item>-->

    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>non</ion-label>-->
    <!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
    <!--                </ion-item>-->
    <!--              </div>-->
    <!--            </ion-radio-group>-->

    <!--            <h3>Avez vous un valise de diagnostic? </h3>-->
    <!--            <ion-radio-group formControlName="vdiagnostic" required [(ngModel)]="signalisation.vdiagnostic">-->
    <!--              <ion-list-header>-->
    <!--                <ion-label>Valise de diagnostic</ion-label>-->
    <!--              </ion-list-header>-->
    <!--              <div style="display: flex">-->
    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>oui</ion-label>-->
    <!--                  <ion-radio slot="start" color="success" [value]=1></ion-radio>-->
    <!--                </ion-item>-->

    <!--                <ion-item lines="none">-->
    <!--                  <ion-label>non</ion-label>-->
    <!--                  <ion-radio slot="start" color="tertiary" [value]=0></ion-radio>-->
    <!--                </ion-item>-->
    <!--              </div>-->
    <!--            </ion-radio-group>-->

    <!--          </form>-->
    <!--          <div style="width: 100%;display: flex">-->
    <!--            <ion-button  shape="round" class="btn btn-secondary btnred"-->
    <!--                         type="submit"   (click)="previous()">Precedent-->
    <!--            </ion-button>-->

    <!--            <ion-button  shape="round" class="btn btn-secondary btnred"-->
    <!--                         type="submit" [disabled]="slideServiceForm.invalid"  (click)="onSubmit()">Ajoutez-->
    <!--            </ion-button>-->
    <!--          </div>-->
    <!--        </div>-->
    <!--      </div>-->
    <!--    </ion-slide>-->

  </ion-slides>


</ion-content>
